########    #######    ########    #######    ########    ########
##     / / / /    License    \ \ \ \ 
##    Copyleft culture, Copyright (C) is prohibited here
##    This work is licensed under a CC BY-SA 4.0
##    Creative Commons Attribution-ShareAlike 4.0 License
##    Refer to the http://creativecommons.org/licenses/by-sa/4.0/
########    #######    ########    #######    ########    ########
##    / / / /    Code Climate    \ \ \ \ 
##    Language = ruby
##    Indent = space;    4 chars;
########    #######    ########    #######    ########    ########
module Dialect
  class Lookup
    
    
    def lookup_functional_Appevent2EventBus(args, state, viewId, viewType)
      queryName = __method__.to_s; queryName.slice! 'lookup_functional_'; queryName.to_sym
      args[:dialectLookupQuery] = {queryName: queryName,   cClass: 'ServingRelationship', 
                             fClass: 'ApplicationService', fFqn: "#{state[:myAppName]}ArchiEventBus",
                             tClass: 'ApplicationEvent',   tFqn: "#{state[:myAppName]}ArchiAppevent*"  }
      
      dialectLookup(args, state, viewId, viewType)
      dialectRepack(args, state, viewId, viewType, queryName)            
    end
    
  end
end
